Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.group.impl
Class DefaultGroupContainerManager

    java.lang.Object
      com.pietschy.command.group.impl.GroupContainerManager
          com.pietschy.command.group.impl.DefaultGroupContainerManager

    public class DefaultGroupContainerManager

extends GroupContainerManager

Default implementation of `GroupContainerManager` that removes all elemnents and rebuilds from scratch. Before rebulding, the existing buttons are cached so they can be re-used by the new members if possible.

Version:
  $Revision: 1.3 $
Author:
  andrewp

Field Summary

Fields inherited from class com.pietschy.command.group.impl.GroupContainerManager
`log`

Constructor Summary
`DefaultGroupContainerManager()`

Method Summary
`protected void` | `clearContainer()` Invoked to clear the item container.
`void` | `rebuildContainer(java.util.Collection<GroupMember> members)` Called to trigger the manager to rebuild its container using the specified collection of `GroupMember`s.

Methods inherited from class com.pietschy.command.group.impl.GroupContainerManager
`configure, configure, getFaceId, getFactory, getItemContainer, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultGroupContainerManager

    public DefaultGroupContainerManager()

Method Detail

### rebuildContainer

    public void rebuildContainer(java.util.Collection<GroupMember> members)

  Description copied from class: `GroupContainerManager`
  Called to trigger the manager to rebuild its container using the specified collection of `GroupMember`s.

  Specified by:
    `rebuildContainer` in class `GroupContainerManager`
  Parameters:
    `members` - the current members of the group.

### clearContainer

    protected void clearContainer()

  Invoked to clear the item container.

  See Also:
    `GroupContainerManager.getItemContainer()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch